Bug 16760 - [AAPI]: html:b shouldn't have an accessible obect
[AAPI]: html:b shouldn't have an accessible obect
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML a11y APIs (editor: Steve Faulkner, Cynthia Shelly)
unspecified
PC All
: P2 normal
: ---
Assigned To: alexander surkov
HTML a11y API spec bugbot
: a11y
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 11:43 UTC by alexander surkov
Modified: 2013-08-16 19:13 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description alexander surkov 2012-04-17 11:43:27 UTC
the spec says to expose html:b as
"MSAA	ROLE_SYSTEM_ TEXT"
IAccessible2	ROLE_SYSTEM_ TEXT
AT-SPI	ROLE_TEXT

Firefox doesn't expose an accessible for it. On IA2 and ATK text attribute "font-weight: 700" is used to expose semantics of html:b. No info is exposed on pure MSAA.
Comment 1 Jason Kiss 2013-03-24 02:09:02 UTC
Hi Alex,

Has Firefox changed its approach here recently? I may be reading it wrong, but AViewer and AccProbe both indicating to me that html:b is exposed as ROLE_SYSTEM_TEXT.
Comment 2 Jason Kiss 2013-03-24 02:35:04 UTC
Sorry. Never mind. Was reading it wrong.

In any case, and just to be clear, are you saying we should be indicating that html:b be "not mapped"? Thanks.
Comment 3 alexander surkov 2013-03-26 04:30:25 UTC
(In reply to comment #2)
> Sorry. Never mind. Was reading it wrong.
> 
> In any case, and just to be clear, are you saying we should be indicating
> that html:b be "not mapped"? Thanks.

In case of IAccessible2 they should be mapped to text attributes I think.
Comment 4 Jason Kiss 2013-03-26 05:41:56 UTC
Thanks, Alex.

How does this treatment compare with what you would propose for other similar inline text objects that APIs and assistive tech typically do little with, e.g., i, strong, em, cite, code, del, ins, small, etc.?

Currently the proposed mappings for all of these is ROLE_SYSTEM_TEXT or equivalent, or AXGroup/group in the case of Mac.

Is there a significant drawback to mapping such elements this way? Would mapping them this way benefit assistive tech in any way, e.g., better enable an optional different expression of these bits of content in screen readers?
Comment 5 alexander surkov 2013-03-26 06:18:24 UTC
(In reply to comment #4)
> Thanks, Alex.
> 
> How does this treatment compare with what you would propose for other
> similar inline text objects that APIs and assistive tech typically do little
> with, e.g., i, strong, em, cite, code, del, ins, small, etc.?

b, strong - font-weight
i, em - font-style:italic

dfn, code, etc are exposed as text attributes corresponding to how they are styled.

> Currently the proposed mappings for all of these is ROLE_SYSTEM_TEXT or
> equivalent, or AXGroup/group in the case of Mac.
> 
> Is there a significant drawback to mapping such elements this way?

significant - probably not, it makes accessible tree and the work with text interface more complicated.

> Would
> mapping them this way benefit assistive tech in any way, e.g., better enable
> an optional different expression of these bits of content in screen readers?

mapping all of them into ROLE_SYSTEM_TEXT?
Comment 6 alexander surkov 2013-08-16 19:13:24 UTC
was fixed by bug 12703